<?php

// If uninstall.php is not called by WordPress, die.
use CarDealerPress\Includes\Init\Constant;
use CarDealerPress\Includes\Uninstall\Uninstall;

if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	die;
}
if ( ! defined( 'CDP_DIR_PATH' ) ) {
	define( 'CDP_DIR_PATH', plugin_dir_path( __FILE__ ) );
}
/* Define Autoloader class for plugin */
$autoloader_path = 'includes/class-autoloader.php';
/**
 * Include autoloader class to load all classes inside this plugin
 */
require_once trailingslashit( plugin_dir_path( __FILE__ ) ) . $autoloader_path;


/*Define required constant for plugin*/
Constant::define_constant();

( new Uninstall() )->cdp_uninstall();
